Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 835787 - media-video/vlc-3.0.17.3 fail to build with media-libs/dav1d-1.0.0
Summary: media-video/vlc-3.0.17.3 fail to build with media-libs/dav1d-1.0.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: PATCH
: 836330 (view as bug list)
Depends on:
Blocks: 835807
  Show dependency tree
 
Reported: 2022-03-22 08:41 UTC by Andrea Postiglione
Modified: 2022-04-08 07:06 UTC (History)
21 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (vlc-3.0.17.3-build.log,333.15 KB, text/x-log)
2022-03-22 08:41 UTC, Andrea Postiglione
Details
patch against 3.0.17.3 (dav1d-1.0.0.patch,2.54 KB, patch)
2022-03-22 11:23 UTC, Christian Bricart
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Postiglione 2022-03-22 08:41:00 UTC
Created attachment 767554 [details]
build.log

codec/dav1d.c: In function ‘vlc_entry__3_0_0f’:
codec/dav1d.c:66:57: error: ‘DAV1D_MAX_FRAME_THREADS’ undeclared (first use in this function); did you mean ‘DAV1D_MAX_THREADS’?
   66 |     add_integer_with_range("dav1d-thread-frames", 0, 0, DAV1D_MAX_FRAME_THREADS,
      |                                                         ^~~~~~~~~~~~~~~~~~~~~~~
../include/vlc_plugin.h:246:54: note: in definition of macro ‘vlc_config_set’
  246 | #define vlc_config_set(...) vlc_set (opaque, config, __VA_ARGS__)
      |                                                      ^~~~~~~~~~~
../include/vlc_plugin.h:434:5: note: in expansion of macro ‘change_integer_range’
  434 |     change_integer_range( i_min, i_max )
      |     ^~~~~~~~~~~~~~~~~~~~
codec/dav1d.c:66:5: note: in expansion of macro ‘add_integer_with_range’
   66 |     add_integer_with_range("dav1d-thread-frames", 0, 0, DAV1D_MAX_FRAME_THREADS,
      |     ^~~~~~~~~~~~~~~~~~~~~~
codec/dav1d.c:66:57: note: each undeclared identifier is reported only once for each function it appears in
   66 |     add_integer_with_range("dav1d-thread-frames", 0, 0, DAV1D_MAX_FRAME_THREADS,
      |                                                         ^~~~~~~~~~~~~~~~~~~~~~~
../include/vlc_plugin.h:246:54: note: in definition of macro ‘vlc_config_set’
  246 | #define vlc_config_set(...) vlc_set (opaque, config, __VA_ARGS__)
      |                                                      ^~~~~~~~~~~
../include/vlc_plugin.h:434:5: note: in expansion of macro ‘change_integer_range’
  434 |     change_integer_range( i_min, i_max )
      |     ^~~~~~~~~~~~~~~~~~~~
codec/dav1d.c:66:5: note: in expansion of macro ‘add_integer_with_range’
   66 |     add_integer_with_range("dav1d-thread-frames", 0, 0, DAV1D_MAX_FRAME_THREADS,
      |     ^~~~~~~~~~~~~~~~~~~~~~
demux/flac.c: In function ‘GetPacketizedBlock’:
demux/flac.c:230:17: warning: unused variable ‘i_ret’ [-Wunused-variable]
  230 |             int i_ret = FLAC_ParseSyncInfo( p_block->p_buffer, streaminfo, NULL, &headerinfo );
      |                 ^~~~~
codec/dav1d.c:68:56: error: ‘DAV1D_MAX_TILE_THREADS’ undeclared (first use in this function); did you mean ‘DAV1D_MAX_THREADS’?
   68 |     add_integer_with_range("dav1d-thread-tiles", 0, 0, DAV1D_MAX_TILE_THREADS,
      |                                                        ^~~~~~~~~~~~~~~~~~~~~~
../include/vlc_plugin.h:246:54: note: in definition of macro ‘vlc_config_set’
  246 | #define vlc_config_set(...) vlc_set (opaque, config, __VA_ARGS__)
      |                                                      ^~~~~~~~~~~
../include/vlc_plugin.h:434:5: note: in expansion of macro ‘change_integer_range’
  434 |     change_integer_range( i_min, i_max )
      |     ^~~~~~~~~~~~~~~~~~~~
codec/dav1d.c:68:5: note: in expansion of macro ‘add_integer_with_range’
   68 |     add_integer_with_range("dav1d-thread-tiles", 0, 0, DAV1D_MAX_TILE_THREADS,
      |     ^~~~~~~~~~~~~~~~~~~~~~
../doltcompile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DMODULE_STRING=\"$(p="demux/au.lo"; p="${p##*/}"; p="${p#lib}"; p="${p%_plugin*}"; p=$(echo "$p"|sed 's/-/_/g'); p="${p%.lo}"; echo "$p")\" -D__PLUGIN__  -I./access -I./codec -I../include -I../include  -I/usr/include/samba-4.0  -march=native -mtune=native -O3 -pipe  -Wall -Wextra -Wsign-compare -Wundef -Wpointer-arith -Wvolatile-register-var -Wformat -Wformat-security -Wbad-function-cast -Wwrite-strings -Wmissing-prototypes -Werror-implicit-function-declaration -Winit-self -Wlogical-op -Wshadow=local -fvisibility=hidden -c -o demux/au.lo demux/au.c
../doltcompile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DMODULE_STRING=\"$(p="demux/rawaud.lo"; p="${p##*/}"; p="${p#lib}"; p="${p%_plugin*}"; p=$(echo "$p"|sed 's/-/_/g'); p="${p%.lo}"; echo "$p")\" -D__PLUGIN__  -I./access -I./codec -I../include -I../include  -I/usr/include/samba-4.0  -march=native -mtune=native -O3 -pipe  -Wall -Wextra -Wsign-compare -Wundef -Wpointer-arith -Wvolatile-register-var -Wformat -Wformat-security -Wbad-function-cast -Wwrite-strings -Wmissing-prototypes -Werror-implicit-function-declaration -Winit-self -Wlogical-op -Wshadow=local -fvisibility=hidden -c -o demux/rawaud.lo demux/rawaud.c
codec/dav1d.c: In function ‘OpenDecoder’:
codec/dav1d.c:297:14: error: ‘Dav1dSettings’ has no member named ‘n_tile_threads’; did you mean ‘n_threads’?
  297 |     p_sys->s.n_tile_threads = var_InheritInteger(p_this, "dav1d-thread-tiles");
      |              ^~~~~~~~~~~~~~
      |              n_threads
codec/dav1d.c:298:18: error: ‘Dav1dSettings’ has no member named ‘n_tile_threads’; did you mean ‘n_threads’?
  298 |     if (p_sys->s.n_tile_threads == 0)
      |                  ^~~~~~~~~~~~~~
      |                  n_threads
codec/dav1d.c:299:18: error: ‘Dav1dSettings’ has no member named ‘n_tile_threads’; did you mean ‘n_threads’?
  299 |         p_sys->s.n_tile_threads =
      |                  ^~~~~~~~~~~~~~
      |                  n_threads
codec/dav1d.c:303:13: error: ‘Dav1dSettings’ has no member named ‘n_frame_threads’
  303 |     p_sys->s.n_frame_threads = var_InheritInteger(p_this, "dav1d-thread-frames");
      |             ^
codec/dav1d.c:304:17: error: ‘Dav1dSettings’ has no member named ‘n_frame_threads’
  304 |     if (p_sys->s.n_frame_threads == 0)
      |                 ^
codec/dav1d.c:305:17: error: ‘Dav1dSettings’ has no member named ‘n_frame_threads’
  305 |         p_sys->s.n_frame_threads = (i_core_count < 16) ? i_core_count : 16;
      |                 ^
In file included from ../include/vlc_common.h:1025,
                 from codec/dav1d.c:32:
codec/dav1d.c:317:38: error: ‘Dav1dSettings’ has no member named ‘n_frame_threads’
  317 |             dav1d_version(), p_sys->s.n_frame_threads, p_sys->s.n_tile_threads);
      |                                      ^
../include/vlc_messages.h:79:23: note: in definition of macro ‘msg_Generic’
   79 |             __func__, __VA_ARGS__)
      |                       ^~~~~~~~~~~
codec/dav1d.c:316:5: note: in expansion of macro ‘msg_Dbg’
  316 |     msg_Dbg(p_this, "Using dav1d version %s with %d/%d frame/tile threads",
      |     ^~~~~~~
codec/dav1d.c:317:65: error: ‘Dav1dSettings’ has no member named ‘n_tile_threads’; did you mean ‘n_threads’?
  317 |             dav1d_version(), p_sys->s.n_frame_threads, p_sys->s.n_tile_threads);
      |                                                                 ^~~~~~~~~~~~~~
../include/vlc_messages.h:79:23: note: in definition of macro ‘msg_Generic’
   79 |             __func__, __VA_ARGS__)
      |                       ^~~~~~~~~~~
codec/dav1d.c:316:5: note: in expansion of macro ‘msg_Dbg’
  316 |     msg_Dbg(p_this, "Using dav1d version %s with %d/%d frame/tile threads",
      |     ^~~~~~~
codec/dav1d.c:321:45: error: ‘Dav1dSettings’ has no member named ‘n_frame_threads’
  321 |     dec->i_extra_picture_buffers = (p_sys->s.n_frame_threads - 1);
      |                                             ^
make[4]: *** [Makefile:21954: codec/libdav1d_plugin_la-dav1d.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
demux/oggseek.c: In function ‘Oggseek_BlindSeektoPosition’:
demux/oggseek.c:953:13: warning: variable ‘i_pagepos’ set but not used [-Wunused-but-set-variable]
  953 |     int64_t i_pagepos;
      |             ^~~~~~~~~
demux/oggseek.c: In function ‘Oggseek_ProbeEnd’:
demux/oggseek.c:320:5: warning: ignoring return value of ‘vlc_stream_Seek’ declared with attribute ‘warn_unused_result’ [-Wunused-result]
  320 |     vlc_stream_Seek( p_demux->s, i_backup_pos );
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
demux/oggseek.c: In function ‘oggseek_read_page’:
demux/oggseek.c:1070:9: warning: ignoring return value of ‘vlc_stream_Seek’ declared with attribute ‘warn_unused_result’ [-Wunused-result]
 1070 |         vlc_stream_Seek( p_demux->s, i_in_pos );
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
demux/oggseek.c:1079:9: warning: ignoring return value of ‘vlc_stream_Seek’ declared with attribute ‘warn_unused_result’ [-Wunused-result]
 1079 |         vlc_stream_Seek( p_demux->s, i_in_pos );
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from ../include/vlc_common.h:409,
                 from demux/ogg.c:32:
demux/ogg.c: In function ‘Ogg_DecodePacket’:
../include/vlc_threads.h:878:19: warning: call to ‘harmful_delay.constprop’ declared with attribute warning: use proper event handling instead of short delay [-Wattribute-warning]
  878 | #define msleep(d) msleep(check_delay(d))
      |                   ^~~~~~~~~~~~~~~~~~~~~~
demux/ogg.c:1480:13: note: in expansion of macro ‘msleep’



Portage 3.0.30 (python 3.10.3-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-11.2.1, glibc-2.34-r10, 5.17.0-gentoo x86_64)
=================================================================
System uname: Linux-5.17.0-gentoo-x86_64-Intel-R-_Core-TM-_i9-10900K_CPU_@_3.70GHz-with-glibc2.34
KiB Mem:   131953216 total, 114588448 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository 4nykey: Wed, 16 Mar 2022 21:49:25 +0000
Head commit of repository 4nykey: a07e3f08f4b622d838579009b9665e38b88864dd

Timestamp of repository guru: Fri, 18 Mar 2022 06:49:05 +0000
Head commit of repository guru: 967fcbf52bbc306a08542a5035de7a62059c9b04

Timestamp of repository gentoo: Tue, 22 Mar 2022 06:45:01 +0000
Head commit of repository gentoo: 40f0289a7e7318de9158555fcc5b4e30e62561d0
sh bash 5.1_p16
ld GNU ld (Gentoo 2.38 p3) 2.38
app-misc/pax-utils:        1.3.3::gentoo
app-shells/bash:           5.1_p16::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.34.1::gentoo
dev-lang/python:           2.7.18_p14::gentoo, 3.10.3::gentoo
dev-lang/rust:             1.59.0::gentoo
dev-util/cmake:            3.22.3::gentoo
dev-util/meson:            0.61.3::gentoo
sys-apps/baselayout:       2.8::gentoo
sys-apps/openrc:           0.44.10::gentoo
sys-apps/sandbox:          2.29::gentoo
sys-devel/autoconf:        2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:        1.13.4-r2::gentoo, 1.15.1-r2::gentoo, 1.16.5::gentoo
sys-devel/binutils:        2.38-r1::gentoo
sys-devel/binutils-config: 5.4.1::gentoo
sys-devel/clang:           13.0.1::gentoo
sys-devel/gcc:             11.2.1_p20220115::gentoo
sys-devel/gcc-config:      2.5-r1::gentoo
sys-devel/libtool:         2.4.6-r6::gentoo
sys-devel/lld:             13.0.1::gentoo
sys-devel/llvm:            13.0.1::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.16::gentoo (virtual/os-headers)
sys-libs/glibc:            2.34-r10::local
Repositories:

4nykey
    location: /var/db/repos/4nykey
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/4nykey.git
    masters: gentoo

guru
    location: /var/db/repos/guru
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/guru.git
    masters: gentoo

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync3.uk.gentoo.org/gentoo-portage/
    priority: 10
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: no
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1

local
    location: /var/db/repos/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php8.1/ext-active/ /etc/php/cgi-php8.1/ext-active/ /etc/php/cli-php8.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -mtune=native -O3 -pipe"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -mtune=native -O3 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg buildpkg-live config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync metadata-transfer multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -mtune=native -O3 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org/"
LANG="it_IT.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="X a52 aac acl acpi activities alsa amd64 bluetooth branding bzip2 cairo cdda cdr cli crypt cups dbus declarative dri dts dvd dvdr elogind encode exif flac fortran gdbm gif gpm gtk gui iconv icu ipv6 jpeg kde kwallet lcms libglvnd libnotify libtirpc mad mng mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf plasma png policykit ppds qml qt5 readline sdl seccomp semantic-desktop spell split-usr ssl startup-notification svg tiff truetype udev udisks unicode upower usb vorbis widgets wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="avx avx2 avx512f sse sse2 sse3 sse4_1 sse4_2 ssse3 f16c popcnt 3dnow aes mmx mmxext" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="libinput evdev mouse synaptics" KERNEL="linux" L10N="it" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="NVPTX" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-4" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_10" PYTHON_TARGETS="python3_10" QEMU_SOFTMMU_TARGETS="x86_64 hppa i386 arm" RUBY_TARGETS="ruby27" SANE_BACKENDS="xerox_mfp" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 2 Andrea Postiglione 2022-03-22 10:46:31 UTC
(In reply to Christian Bricart from comment #1)
> https://github.com/videolan/vlc/commit/
> dbf45cea2a8abdfbef897b8a71f3eb782bb1b712

 * Applying dav1d-1.0.patch ...
patching file modules/codec/dav1d.c
Hunk #1 FAILED at 64.
Hunk #2 FAILED at 401.
Hunk #3 FAILED at 451.
3 out of 3 hunks FAILED -- saving rejects to file modules/codec/dav1d.c.rej                                                                                                                                                                                            [ !! ]
 * ERROR: media-video/vlc-3.0.17.3::local failed (prepare phase):
 *   patch -p1  failed with /var/tmp/portage/media-video/vlc-3.0.17.3/files/dav1d-1.0.patch
 * 
 * Call stack:
 *               ebuild.sh, line  127:  Called src_prepare
 *             environment, line 2899:  Called xdg_src_prepare
 *             environment, line 3983:  Called default
 *      phase-functions.sh, line  858:  Called default_src_prepare
 *      phase-functions.sh, line  923:  Called __eapi6_src_prepare
 *             environment, line  588:  Called eapply '/var/tmp/portage/media-video/vlc-3.0.17.3/files/vlc-2.1.0-fix-libtremor-libs.patch' '/var/tmp/portage/media-video/vlc-3.0.17.3/files/vlc-2.2.8-freerdp-2.patch' '/var/tmp/portage/media-video/vlc-3.0.17.3/files/vlc-3.0.6-fdk-aac-2.0.0.patch' '/var/tmp/portage/media-video/vlc-3.0.17.3/files/vlc-3.0.11.1-configure_lua_version.patch' '/var/tmp/portage/media-video/vlc-3.0.17.3/files/vlc-3.0.14-fix-live-address-api.patch' '/var/tmp/portage/media-video/vlc-3.0.17.3/files/dav1d-1.0.patch'
 *             environment, line 1564:  Called _eapply_patch '/var/tmp/portage/media-video/vlc-3.0.17.3/files/dav1d-1.0.patch'
 *             environment, line 1502:  Called __helpers_die 'patch -p1  failed with /var/tmp/portage/media-video/vlc-3.0.17.3/files/dav1d-1.0.patch'
 *   isolated-functions.sh, line  112:  Called die
 * The specific snippet of code:
 *              die "$@"
 * 
 * If you need support, post the output of `emerge --info '=media-video/vlc-3.0.17.3::local'`,
 * the complete build log and the output of `emerge -pqv '=media-video/vlc-3.0.17.3::local'`.
 * The complete build log is located at '/var/tmp/portage/media-video/vlc-3.0.17.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/vlc-3.0.17.3/temp/environment'.
 * Working directory: '/var/tmp/portage/media-video/vlc-3.0.17.3/work/vlc-3.0.17.3'
 * S: '/var/tmp/portage/media-video/vlc-3.0.17.3/work/vlc-3.0.17.3'


patching failed
Comment 3 Christian Bricart 2022-03-22 11:23:05 UTC
Created attachment 767587 [details, diff]
patch against 3.0.17.3

there have been some upstream code rework since 3.0.17.3 release.
this backported patch applies against =media-video/vlc-3.0.17.3
Comment 4 Andrea Postiglione 2022-03-22 11:29:22 UTC
(In reply to Christian Bricart from comment #3)
> Created attachment 767587 [details, diff] [details, diff]
> patch against 3.0.17.3
> 
> there have been some upstream code rework since 3.0.17.3 release.
> this backported patch applies against =media-video/vlc-3.0.17.3

now with your patch build fine. thanks
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-22 16:43:49 UTC
(In reply to Christian Bricart from comment #3)
> Created attachment 767587 [details, diff] [details, diff]
> patch against 3.0.17.3
> 
> there have been some upstream code rework since 3.0.17.3 release.
> this backported patch applies against =media-video/vlc-3.0.17.3

Could you submit your backport upstream please?
Comment 6 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-22 16:51:43 UTC
(In reply to Sam James from comment #5)
> (In reply to Christian Bricart from comment #3)
> > Created attachment 767587 [details, diff] [details, diff] [details, diff]
> > patch against 3.0.17.3
> > 
> > there have been some upstream code rework since 3.0.17.3 release.
> > this backported patch applies against =media-video/vlc-3.0.17.3
> 
> Could you submit your backport upstream please?

hm, I see https://code.videolan.org/videolan/vlc/-/merge_requests/1618.
Comment 7 Ionen Wolkens gentoo-dev 2022-03-28 17:31:53 UTC
*** Bug 836330 has been marked as a duplicate of this bug. ***
Comment 8 jorge 2022-04-05 01:08:37 UTC
Hello:

I'd like to add that the patch corrected the compile error on my machine with media-video/vlc-3.0.16-r8
Comment 9 Martin Mokrejš 2022-04-07 15:38:17 UTC
So why isn't the ebuild changed to require an older version until the patch comes in? My previous version was media-libs/dav1d-0.4.0. After upgrade to  media-libs/dav1d-1.0.0 I cannot compile vlc like others. Thank you.
Comment 10 Duncan 2022-04-07 19:44:39 UTC
(In reply to Martin Mokrejš from comment #9)
> So why isn't the ebuild changed to require an older version until the patch
> comes in?

dav1d-1.0.0 isn't stale^H^Hble yet, and current stable 0.9.2 works fine.  vlc will almost certainly be either -rX bumped with a patch or version-bumped if upstream releases a version with the fix before dav1d-1.x is stabilized.  Meanwhile, those running ~arch are expected to be able to do at least reasonably minimal package management occasionally, when things like this come up.

Easy enough to package.mask the new version temporarily[1], as I decided to do here for this case, or plop the patch already posted here in /etc/portage/patches/media-video/vlc/ and rebuild vlc to apply it, if you prefer and as I tend to do more frequently, when a bug already has a patch available.

---
[1] The temporary package.mask can be removed either after this bug gets fixed, which you'll know about if you're CCed, or you can use = to specify exactly the 1.0.0 version instead of something like >=1.0.0, and automatically have the next version or -rX bump unmasked to try again.
Comment 11 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-04-07 19:54:43 UTC
Note that I've advisedly not added the patch given it's under a lot of discussion upstream & not merged yet.
Comment 12 Olivier Huber 2022-04-07 20:03:34 UTC
(In reply to Sam James from comment #11)
> Note that I've advisedly not added the patch given it's under a lot of
> discussion upstream & not merged yet.

The MR might be outdated, see this commit:

https://code.videolan.org/videolan/vlc/-/commit/dbf45cea2a8abdfbef897b8a71f3eb782bb1b712

I believe the patch attached here is based on this commit, see https://bugs.gentoo.org/835787#c3
Comment 13 Martin Mokrejš 2022-04-07 22:21:59 UTC
Thank you for your kind and detailed answer. Still, the likely scenario is that I hit a bug, start searching around if somebody already hit the bug, then yes, maybe mask the package or downgrade another one, but that is exactly what you can anticipate already because evidently media-video/vlc-3.0.17.3-r1 and media-libs/dav1d-1.0.0 does not compile together.

I still think you could save some 20 people the efforts and better prevent the vlc update or the dav1d update. That is already a chance for you to decide which way is better. Should everybody study if for example dav1d should be updated or vlc downgraded, for example, due to some security issue? You can solve these all questions for us. I am fine to report a new bug, contribute testing as much as I am able to do but this is just wasting our efforts.

I will not even study if I should better downgrade the dav1d thing or lookup emerge.log to see if I just recompiled vlc or whether I hit this it was to be upgraded. So I will just neglect that, let revdep-rebuild run unfinished, orphaned media-libs/dav1d-0.4.0 files and vlc binary using them despite the updated dav1d.

I just do not seen a reason why media-video/vlc-3.0.17.3-r1.ebuild is not already changed to require =<media-libs/dav1d-0.9.2 , likewise other affected vlc ebuilds.
Comment 14 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-04-07 22:27:56 UTC
(In reply to Olivier Huber from comment #12)
> (In reply to Sam James from comment #11)
> > Note that I've advisedly not added the patch given it's under a lot of
> > discussion upstream & not merged yet.
> 
> The MR might be outdated, see this commit:
> 
> https://code.videolan.org/videolan/vlc/-/commit/
> dbf45cea2a8abdfbef897b8a71f3eb782bb1b712
> 
> I believe the patch attached here is based on this commit, see
> https://bugs.gentoo.org/835787#c3

I don't see a fix on the 3.0.x branch: https://code.videolan.org/videolan/vlc/-/commits/3.0.x.

There was quite a bit of discussion on the MR about whether there's actually a bug here that they noticed while fixing the dav1d issue. That said, nobody here has complained about runtime issues, so let's add it in a revbump in ~arch.
Comment 15 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-04-07 22:32:28 UTC
(In reply to Martin Mokrejš from comment #13)
> Thank you for your kind and detailed answer. Still, the likely scenario is
> that I hit a bug, start searching around if somebody already hit the bug,
> then yes, maybe mask the package or downgrade another one, but that is
> exactly what you can anticipate already because evidently
> media-video/vlc-3.0.17.3-r1 and media-libs/dav1d-1.0.0 does not compile
> together.

I don't get your point.

> 
> I still think you could save some 20 people the efforts and better prevent
> the vlc update or the dav1d update. That is already a chance for you to
> decide which way is better. Should everybody study if for example dav1d
> should be updated or vlc downgraded, for example, due to some security
> issue? 

Obviously security issues get more priority over inconveniencing people with a downgrade-rebuild of Firefox so I'd be happy to add a < dep in that case.

> You can solve these all questions for us. I am fine to report a new
> bug, contribute testing as much as I am able to do but this is just wasting
> our efforts.
> 

I don't get your point.

> 
> I just do not seen a reason why media-video/vlc-3.0.17.3-r1.ebuild is not
> already changed to require =<media-libs/dav1d-0.9.2 , likewise other
> affected vlc ebuilds.

The answer to this being that inflicting a downgrade on everybody is unfortunate and I was hoping the upstream MR, which had some momentum, would get merged. It did not.
Comment 16 Larry the Git Cow gentoo-dev 2022-04-07 22:33:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57322daae014d657b2b063abff4af216f1d90151

commit 57322daae014d657b2b063abff4af216f1d90151
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-04-07 22:32:43 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-04-07 22:33:17 +0000

    media-video/vlc: add dav1d-1.0.0 patch
    
    It's unmerged (pending upstream) but
    nobody's complained of runtime issues and the
    patch itself wasn't disputed; just whether there's
    another separate runtime bug which people
    noticed during review of the patch.
    
    Closes: https://bugs.gentoo.org/835787
    Signed-off-by: Sam James <sam@gentoo.org>

 .../vlc/files/vlc-3.0.17.3-dav1d-1.0.0.patch       |  78 ++++
 media-video/vlc/vlc-3.0.17.3-r2.ebuild             | 515 +++++++++++++++++++++
 2 files changed, 593 insertions(+)
Comment 17 Martin Mokrejš 2022-04-08 07:06:31 UTC
(In reply to Sam James from comment #15)
> (In reply to Martin Mokrejš from comment #13)

> I don't get your point.
> 

> 
> Obviously security issues get more priority over inconveniencing people with
> a downgrade-rebuild of Firefox so I'd be happy to add a < dep in that case.

> 
> I don't get your point.

> 
> The answer to this being that inflicting a downgrade on everybody is
> unfortunate and I was hoping the upstream MR, which had some momentum, would
> get merged. It did not.

Sorry for my bad English, in brief, I did not know whether I should prefer the vlc update or the dav1d downgrade, how to weigh the scenarios.

Anyway, I understand now what delayed you and thank your the fix patch.